error connecting to vsphere after upgrade to ruby 1.9.3
Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Compute resources   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I get the following error on connecting to vsphere after upgrading to ruby 1.9.3:

Errors: The remote system presented a public key with hash

96644f04c8b04c76122ca8b59d4c6bd603dd2fe7c522243458966b1df8f049c9 but we're expecting a hash of

63cac81d6b1f3c027880ad372dd1eb89fb839a5515671da8c1435dda0b708b2c. If you are sure the remote system is authentic set

vsphere_expected_pubkey_hash: <the hash printed in this message> in ~/.fog

Related issues:

Related to Foreman - Bug #24526: undefined method `[]=' for #<ActiveModel::Er... Closed

Associated revisions

Revision 617ee75f - 06/19/2013 07:12 AM - Amos Benari

fixes #2656 error connecting to vsphere after upgrade to ruby 1.9.3

Revision 843ea5cb - 06/20/2013 03:41 AM - Amos Benari

fixes #2656 error connecting to vsphere after upgrade to ruby 1.9.3

(cherry picked from commit 617ee75f8c0f8d239564f3fd48d92a2d772eeb8b)

History

#1 - 06/12/2013 06:03 AM - Dominic Cleal

- Category set to Compute resources

- Target version set to 1.2.0

#2 - 06/12/2013 08:01 AM - Amos Benari

Public key format changed in ruby 1.9.3 see details:

Bug in Ruby 1.9.3 [1], describes how the encoded format for RSA public keys was not the default format used by OpenSSL, but rather the encoding

format specified by PKCS#1. The fix [2] shows changing PEM_read_bio_RSAPublicKey to PEM_read_bio_RSA_PUBKEY.

[1] http://bugs.ruby-lang.org/issues/show/4421

[2] http://bugs.ruby-lang.org/projects/ruby-trunk/repository/diff/ext/openssl/ossl_pkey_rsa.c?rev=31520

#3 - 06/12/2013 11:24 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

https://github.com/theforeman/foreman/pull/714

#4 - 06/19/2013 06:44 AM - Amos Benari

new pull request submited

https://github.com/theforeman/foreman/pull/725

#5 - 06/19/2013 07:17 AM - Amos Benari

05/18/2024 1/2

http://bugs.ruby-lang.org/issues/show/4421
http://bugs.ruby-lang.org/projects/ruby-trunk/repository/diff/ext/openssl/ossl_pkey_rsa.c?rev=31520
https://github.com/theforeman/foreman/pull/714
https://github.com/theforeman/foreman/pull/725


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 617ee75f8c0f8d239564f3fd48d92a2d772eeb8b.

#6 - 08/02/2018 02:17 PM - Ivan Necas

- Related to Bug #24526: undefined method `[]=' for #<ActiveModel::Errors:0x00563e9032deb0> with wrong ca cert on vmware added
